Cocos2D - CCControlExtension Examples
=====================
The puporse of these examples are to show you how the CCControl can be used into your Cocos2D projects. The examples are available for iOS and Mac OSX.

Controls available:

 * [CCControlButton](http://yannickloriot.com/library/ios/cccontrolextension/Classes/CCControlButton.html):

![CCControlButton](http://github.com/YannickL/CCControlExtension/raw/master/screenshots/button.png)

CCControlButton provides a convenient way to create buttons with Cocos2D.
A button intercepts touch events and sends an action message to a target object when tapped. Methods for setting the target and action are inherited from CCControl. You can set it to a predetermined size, to a variable size to fit to the title size etc. (More information on [my blog](http://yannickloriot.com/2013/03/cccontrolextension-the-buttons/))

 * [CCControlSlider](http://yannickloriot.com/library/ios/cccontrolextension/Classes/CCControlSlider.html):

![CCControlSlider](http://github.com/YannickL/CCControlExtension/raw/master/screenshots/slider.png)

CCControlSlider is an already made slider (but customizable) control for Cocos2D for iPhone. It is a visual control used to select a single value from a continuous range of values in a linear way. (More information on [my blog](http://yannickloriot.com/2013/03/cccontrolextension-the-sliders/))

 * [CCControlColourPicker](http://yannickloriot.com/library/ios/cccontrolextension/Classes/CCControlColourPicker.html):

![CCControlColourPicker](http://github.com/YannickL/CCControlExtension/raw/master/screenshots/colorpicker.png)

CCControlColourPicker is an already made colour picker for Cocos2D for iPhone. It's a very useful control tool to preview and test color values.

* [CCControlSwitch](http://yannickloriot.com/library/ios/cccontrolextension/Classes/CCControlSwitch.html):

![CCControlSwitch](http://github.com/YannickL/CCControlExtension/raw/master/screenshots/switch.png)

The CCControlSwitch is an implementation of the UISwitch for Cocos2D for iPhone.
It is useful to create and manage On/Off buttons, like for example, in the option menus for volume as example. As with CCControlSlider, when the user manipulates the switch control ("flips" it) an UIControlEventValueChanged event is generated.
You can customize the appearance of the switch by changing the on/off background sprites and label.

* [CCControlStepper](http://yannickloriot.com/library/ios/cccontrolextension/Classes/CCControlStepper.html):

![CCControlStepper](http://github.com/YannickL/CCControlExtension/raw/master/screenshots/stepper.png)

The CCControlStepper is an implementation of the UIStepper for Cocos2D for iPhone.
The CCControlStepper class provides a user interface for incrementing or decrementing a value. It displays two buttons, one with a minus ("-") symbol and one with a plus ("+") symbol.

 * [CCControlPotentiometer](http://yannickloriot.com/library/ios/cccontrolextension/Classes/CCControlPotentiometer.html):

![CCControlPotentiometer](http://github.com/YannickL/CCControlExtension/raw/master/screenshots/potentiometer.png)

CCControlPotentiometer is an already made potentiometer (but customizable) control for Cocos2D for iPhone. It use a circular representation to show and select a single value from a continuous range of value.

* [CCControlPicker](http://yannickloriot.com/library/ios/cccontrolextension/Classes/CCControlPicker.html):

![CCControlPicker](http://github.com/YannickL/CCControlExtension/raw/master/screenshots/picker.png)

The CCControlPicker is a control that use a spinning-wheel or slot-machine metaphor to show one set of values.

License (MIT)
====================
As well as Cocos2D for iPhone, these examples are licensed under the MIT License:

Copyright (c) 2013 - Yannick Loriot and contributors
(see each file to see the different copyright owners)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

You can download *cocos2d-for-iphone* here: https://github.com/cocos2d/cocos2d-iphone
